<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Gang](./bitburner.gang.md) &gt; [renameMember](./bitburner.gang.renamemember.md)

## Gang.renameMember() method

Rename a Gang member to a new unique name.

**Signature:**

```typescript
renameMember(memberName: string, newName: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  memberName | string | Name of the member to change. |
|  newName | string | New name for that gang member. |

**Returns:**

boolean

True if successful, and false if not.

## Remarks

RAM cost: 0 GB

Rename a Gang Member if none already has the new name.

